Public Class frmUser

    Private Sub TBUSER_RECHTEBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUSER_RECHTEBindingNavigatorSaveItem.Click
        Try
            Me.TBUSER_RECHTEBindingSource.EndEdit()
            If MyDataset.TBUSER_RECHTE.GetChanges Is Nothing = False Then
                Me.Validate()
                Me.MyDataset.TBUSER_RECHTE.GEAENDERTWERColumn.DefaultValue = Environment.UserName
                Me.TBUSER_RECHTEBindingSource.EndEdit()
                Me.TBUSER_RECHTETableAdapter.Update(MyDataset.TBUSER_RECHTE)
                MsgBox("Daten erfolgreich gespeichert!", MsgBoxStyle.Information, "Erfolgsmeldung:")
            End If
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Critical, "Fehler beim Speichern der Daten:")
        End Try

    End Sub

    Private Sub frmUser_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: Diese Codezeile lädt Daten in die Tabelle "MyDataset.TBUSER_RECHTE". Sie können sie bei Bedarf verschieben oder entfernen.
        Try
            Me.TBUSER_RECHTETableAdapter.Connection.ConnectionString = My.Settings.ConfigConnectionString
            Me.TBUSER_RECHTETableAdapter.Fill(Me.MyDataset.TBUSER_RECHTE)
        Catch ex As Exception
            MsgBox(ex.Message, MsgBoxStyle.Critical, "Fehler beim Laden der Formulardaten:")
        End Try
    End Sub

    Private Sub BindingNavigatorAddNewItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BindingNavigatorAddNewItem.Click
        Me.TBUSER_RECHTEBindingSource.AddNew()
    End Sub

    Private Sub TBUSER_RECHTEBindingSource_AddingNew(ByVal sender As Object, ByVal e As System.ComponentModel.AddingNewEventArgs) Handles TBUSER_RECHTEBindingSource.AddingNew
        Me.MyDataset.TBUSER_RECHTE.ERFASSTWERColumn.DefaultValue = Environment.UserName
    End Sub
End Class